API Explorer 936 endpoints

Create System Chat Room

POST /obp/v7.0.0/chat-rooms

OBPv6.0.0-createSystemChatRoom No role required Chat

Create a new system-level chat room (not scoped to a bank). The creator is automatically added as a participant with all permissions.

Authentication is Required

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON request body fields (2)
description
Description of the object. Maximum length is 2000. It can be any characters here.
name
ACCOUNT_MANAGEMENT_FEE
JSON response body fields (17)
bank_id
gh.29.uk
chat_room_id
chat_room_id
created_at
created_at
created_by_provider
created_by_provider
created_by_user_id
created_by_username
created_by_username
description
Description of the object. Maximum length is 2000. It can be any characters here.
is_archived
is_archived
is_open_room
is_open_room
joining_key
joining_key
name
ACCOUNT_MANAGEMENT_FEE
participant_count
participant_count
updated_at
updated_at
last_message_at
last_message_at
last_message_preview
last_message_preview
last_message_sender_username
last_message_sender_username
unread_count
unread_count
Example request body
{
  "name": "General Discussion",
  "description": "A place to discuss general topics"
}
Example success response
{
  "chat_room_id": "chat-room-id-123",
  "bank_id": "",
  "name": "General Discussion",
  "description": "A place to discuss general topics",
  "joining_key": "abc123key",
  "created_by_user_id": "user-id-123",
  "created_by_username": "robert.x.0.gh",
  "created_by_provider": "https://github.com",
  "is_open_room": false,
  "is_archived": false,
  "last_message_at": "2026-10-21T01:45:41Z",
  "last_message_preview": "Hello everyone!",
  "last_message_sender_username": "robert.x.0.gh",
  "unread_count": 3,
  "created_at": "2026-10-21T01:45:41Z",
  "updated_at": "2026-10-21T01:45:41Z",
  "participant_count": 0
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-10001: Incorrect json format.
  • OBP-39002: Chat Room with this name already exists in this bank.
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 createSystemChatRoom Originally /obp/v6.0.0/chat-rooms